<?php

/**
@Shows the gateway form and starts a transaction!
*/
function ocart_print_pagos_form($post_id, $location = '') {
	global $ocart;
	$llave_encripcion = $ocart['pagos_encryption_key'];
	$usuarioId = $ocart['pagos_userid'];
	$refVenta = $post_id;
	$valor = ocart_payable($post_id);
	$baseDevolucionIva = 0;
	$iva = 0;
	if (isset($ocart['currencycode'])) {
		if (in_array($ocart['currencycode'], array ('COP','EUR','GBP','MXN','USD','VEB')) ) {
			$moneda = $ocart['currencycode'];
		} else {
			$moneda = 'COP';
		}
	} else {
	$moneda = 'COP';
	}
	$descripcion = sprintf(__('%s Payment for Invoice #%s','ocart'), get_bloginfo('name'), $post_id);
	$firma = "$llave_encripcion~$usuarioId~$refVenta~$valor~$moneda";
	$firma_codificada = md5($firma);
	if (isset($ocart['pagos_testmode']) && $ocart['pagos_testmode'] == 1) {
		$testmode = true;
	} else {
		$testmode = false;
	}
?>

<form method="post" action="https://gateway<?php if ($testmode == true) { echo 2; } ?>.pagosonline.net/apps/gateway/index.html" id="Pagos_payment_form">
	<input name="usuarioId" type="hidden" value="<?php echo($usuarioId) ?>">
	<input name="descripcion" type="hidden" value="<?php echo $descripcion ?>">
	<input name="refVenta" type="hidden" value="<?php echo $refVenta ?>">
	<input name="valor" type="hidden" value="<?php echo $valor ?>">
	<input name="iva" type="hidden" value="<?php echo $iva ?>">
	<input name="baseDevolucionIva" type="hidden" value="<?php echo $baseDevolucionIva ?>">
	<input name="moneda" type="hidden" value="<?php echo $moneda ?>">
	<input name="firma" type="hidden" value="<?php echo $firma_codificada ?>">
	<?php if ($testmode == true) { ?>
	<input name="prueba" type="hidden" value="1">
	<?php } ?>
	<input name="url_respuesta" type="hidden" value="<?php echo PLUGIN_OCART_PAGOS_URL.'response.php'; ?>">
	<input type='submit' value="<?php _e('Pay with PagosOnline!','ocart'); ?>">
</form>

<?php
}